Package org.gradle.platform.base

## Interface BinaryTasksCollection

- All Superinterfaces:
    `Collection<Task>`, `DomainObjectCollection<Task>`, `DomainObjectSet<Task>`, `Iterable<Task>`, `Set<Task>`
  All Known Subinterfaces:
    `JarBinarySpec.TasksCollection`, `JvmTestSuiteBinarySpec.JvmTestSuiteTasks`, `NativeExecutableBinarySpec.TasksCollection`, `NativeTestSuiteBinarySpec.TasksCollection`, `SharedLibraryBinarySpec.TasksCollection`, `StaticLibraryBinarySpec.TasksCollection`, `TestSuiteTaskCollection`

      @Incubating
      public interface BinaryTasksCollection
      extends DomainObjectSet<Task>

  A collection of tasks associated to a binary

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T extends Task> void` | `create​(String name, Class<T> type, Action<? super T> config)` |
    `Task` | `getBuild()` | The task that can be used to assemble this binary.
    `Task` | `getCheck()` | The task that can be used to check this binary.
    `String` | `taskName​(String verb)` | Generates a name for a task that performs some action on the binary.
    `String` | `taskName​(String verb, String object)` | Generates a name for a task that performs some action on the binary.

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface org.gradle.api.DomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

- - ### Method Detail

    - #### taskName

          String taskName​(String verb)

      Generates a name for a task that performs some action on the binary.

    - #### taskName

          String taskName​(String verb,
                          String object)

      Generates a name for a task that performs some action on the binary.

    - #### getBuild

          Task getBuild()

      The task that can be used to assemble this binary.

    - #### getCheck

          Task getCheck()

      The task that can be used to check this binary.

    - #### create

          <T extends Task> void create​(String name,
                                       Class<T> type,
                                       Action<? super T> config)